# uca-apollo
<button><a href=\"/apiv2/download/UniCourt-APIv2-Spec.yaml\" >Download Legal Analytics API Specification</a></button>


This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: v2
- Package version: 1.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python >=3.6

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import apollo
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import apollo
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python

import time
import apollo
from pprint import pprint
from apiv2 import attorney_analytics_api
from apollo.model.associated_norm_judge_response import AssociatedNormJudgeResponse
from apollo.model.associated_norm_law_firm_response import AssociatedNormLawFirmResponse
from apollo.model.associated_norm_party_response import AssociatedNormPartyResponse
from apollo.model.exception import Exception
from apollo.model.norm_attorney import NormAttorney
from apollo.model.norm_attorney_search_response import NormAttorneySearchResponse
# Defining the host is optional and defaults to https://apiv2-staging.unicourt.com
# See configuration.py for a list of all supported configuration parameters.
configuration = apollo.Configuration(
    host = "https://apiv2-staging.unicourt.com"
)

# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.

# Configure Bearer authorization (JWT): bearerAuth
configuration = apollo.Configuration(
    access_token = 'YOUR_BEARER_TOKEN'
)


# Enter a context with an instance of the API client
with apollo.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = attorney_analytics_api.AttorneyAnalyticsApi(api_client)
    norm_attorney_id = "NATYwyzvcnBmeB9XwU" # str | Norm ID of Attorney.    - minimum: 17   - maximum: 18 

    try:
        # Norm Attorney Details.
        api_response = api_instance.get_norm_attorney_by_id(norm_attorney_id)
        pprint(api_response)
    except apollo.ApiException as e:
        print("Exception when calling AttorneyAnalyticsApi->get_norm_attorney_by_id: %s\n" % e)
```

## Documentation for API Endpoints

All URIs are relative to *https://apiv2-staging.unicourt.com*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*AttorneyAnalyticsApi* | [**get_norm_attorney_by_id**](docs/AttorneyAnalyticsApi.md#get_norm_attorney_by_id) | **GET** /normAttorney/{normAttorneyId} | Norm Attorney Details.
*AttorneyAnalyticsApi* | [**get_norm_judges_associated_with_norm_attorney**](docs/AttorneyAnalyticsApi.md#get_norm_judges_associated_with_norm_attorney) | **GET** /normAttorney/{normAttorneyId}/associatedNormJudges | Judges faced by the Attorney.
*AttorneyAnalyticsApi* | [**get_norm_law_firms_associated_with_norm_attorney**](docs/AttorneyAnalyticsApi.md#get_norm_law_firms_associated_with_norm_attorney) | **GET** /normAttorney/{normAttorneyId}/associatedNormLawFirms | Law Firms the attorney has worked for.
*AttorneyAnalyticsApi* | [**get_norm_parties_associated_with_norm_attorney**](docs/AttorneyAnalyticsApi.md#get_norm_parties_associated_with_norm_attorney) | **GET** /normAttorney/{normAttorneyId}/associatedNormParties | Parties Represented By the Attorney.
*AttorneyAnalyticsApi* | [**search_normalized_attorneys**](docs/AttorneyAnalyticsApi.md#search_normalized_attorneys) | **GET** /normAttorneySearch | Attorney search.
*AttorneyAnalyticsApi* | [**search_normalized_attorneys_by_id**](docs/AttorneyAnalyticsApi.md#search_normalized_attorneys_by_id) | **GET** /normAttorneySearch/{normAttorneySearchId} | Norm attorney search results for a given normAttorneySearchId.
*AuthenticationApi* | [**generate_new_token**](docs/AuthenticationApi.md#generate_new_token) | **POST** /generateNewToken | Generate new token to access API.
*AuthenticationApi* | [**invalidate_all_tokens**](docs/AuthenticationApi.md#invalidate_all_tokens) | **PUT** /invalidateAllTokens | API to invalidate all access tokens.
*AuthenticationApi* | [**invalidate_token**](docs/AuthenticationApi.md#invalidate_token) | **PUT** /invalidateToken | API to invalidate the access token.
*AuthenticationApi* | [**list_all_token_ids**](docs/AuthenticationApi.md#list_all_token_ids) | **PUT** /listAllTokenIds | API to list all the access tokens Id.
*CallbackApi* | [**get_callbacks**](docs/CallbackApi.md#get_callbacks) | **GET** /callbacks | Get list of callback types with count for a requested Date.
*CaseAnalyticsApi* | [**get_case_count_analytics_by_area_of_law**](docs/CaseAnalyticsApi.md#get_case_count_analytics_by_area_of_law) | **GET** /caseCountAnalyticsByAreaOfLaw | Case Count Analytics by Area Of Law.
*CaseAnalyticsApi* | [**get_case_count_analytics_by_case_class**](docs/CaseAnalyticsApi.md#get_case_count_analytics_by_case_class) | **GET** /caseCountAnalyticsByCaseClass | Case Count Analytics by Case Class.
*CaseAnalyticsApi* | [**get_case_count_analytics_by_case_filed_date**](docs/CaseAnalyticsApi.md#get_case_count_analytics_by_case_filed_date) | **GET** /caseCountAnalyticsByCaseFiledDate | Case Count Analytics by Case Filed Date.
*CaseAnalyticsApi* | [**get_case_count_analytics_by_case_type**](docs/CaseAnalyticsApi.md#get_case_count_analytics_by_case_type) | **GET** /caseCountAnalyticsByCaseType | Case Count Analytics by Case Type.
*CaseAnalyticsApi* | [**get_case_count_analytics_by_case_type_group**](docs/CaseAnalyticsApi.md#get_case_count_analytics_by_case_type_group) | **GET** /caseCountAnalyticsByCaseTypeGroup | Case Count Analytics by Case Type Group.
*CaseAnalyticsApi* | [**get_case_count_analytics_by_court**](docs/CaseAnalyticsApi.md#get_case_count_analytics_by_court) | **GET** /caseCountAnalyticsByCourt | Case Count Analytics by Court.
*CaseAnalyticsApi* | [**get_case_count_analytics_by_court_location**](docs/CaseAnalyticsApi.md#get_case_count_analytics_by_court_location) | **GET** /caseCountAnalyticsByCourtLocation | Case Count Analytics by Court Location.
*CaseAnalyticsApi* | [**get_case_count_analytics_by_court_system**](docs/CaseAnalyticsApi.md#get_case_count_analytics_by_court_system) | **GET** /caseCountAnalyticsByCourtSystem | Case Count Analytics by Court System.
*CaseAnalyticsApi* | [**get_case_count_analytics_by_court_type**](docs/CaseAnalyticsApi.md#get_case_count_analytics_by_court_type) | **GET** /caseCountAnalyticsByCourtType | Case Count Analytics by CourtType.
*CaseAnalyticsApi* | [**get_case_count_analytics_by_jurisdiction_geo**](docs/CaseAnalyticsApi.md#get_case_count_analytics_by_jurisdiction_geo) | **GET** /caseCountAnalyticsByJurisdictionGeo | Case Count Analytics by Jurisdiction Geo.
*CaseAnalyticsApi* | [**get_case_count_analytics_by_norm_attorney**](docs/CaseAnalyticsApi.md#get_case_count_analytics_by_norm_attorney) | **GET** /caseCountAnalyticsByNormAttorney | Case Count Analytics by Attorney.
*CaseAnalyticsApi* | [**get_case_count_analytics_by_norm_judge**](docs/CaseAnalyticsApi.md#get_case_count_analytics_by_norm_judge) | **GET** /caseCountAnalyticsByNormJudge | Case Count Analytics by Judge.
*CaseAnalyticsApi* | [**get_case_count_analytics_by_norm_law_firm**](docs/CaseAnalyticsApi.md#get_case_count_analytics_by_norm_law_firm) | **GET** /caseCountAnalyticsByNormLawFirm | Case Count Analytics by Norm Law Firm.
*CaseAnalyticsApi* | [**get_case_count_analytics_by_norm_party**](docs/CaseAnalyticsApi.md#get_case_count_analytics_by_norm_party) | **GET** /caseCountAnalyticsByNormParty | Case Count Analytics by Party.
*CaseAnalyticsApi* | [**get_case_count_analytics_by_opposing_norm_attorney_for_a_norm_attorney**](docs/CaseAnalyticsApi.md#get_case_count_analytics_by_opposing_norm_attorney_for_a_norm_attorney) | **GET** /normAttorney/{normAttorneyId}/caseCountAnalyticsByOpposingNormAttorney | Case Count Analytics by Opposing Norm Attorney.
*CaseAnalyticsApi* | [**get_case_count_analytics_by_opposing_norm_law_firm_for_a_norm_law_firm**](docs/CaseAnalyticsApi.md#get_case_count_analytics_by_opposing_norm_law_firm_for_a_norm_law_firm) | **GET** /normLawFirm/{normLawFirmId}/caseCountAnalyticsByOpposingNormLawFirm | Case Count Analytics by Opposing Norm Law Firm.
*CaseAnalyticsApi* | [**get_case_count_analytics_by_opposing_norm_party_for_a_norm_party**](docs/CaseAnalyticsApi.md#get_case_count_analytics_by_opposing_norm_party_for_a_norm_party) | **GET** /normParty/{normPartyId}/caseCountAnalyticsByOpposingNormParty | Case Count Analytics by Opposing Norm Party.
*CaseAnalyticsApi* | [**get_case_count_analytics_by_party_role**](docs/CaseAnalyticsApi.md#get_case_count_analytics_by_party_role) | **GET** /caseCountAnalyticsByPartyRole | Case Count Analytics by Party Role.
*CaseAnalyticsApi* | [**get_case_count_analytics_by_party_role_group**](docs/CaseAnalyticsApi.md#get_case_count_analytics_by_party_role_group) | **GET** /caseCountAnalyticsByPartyRoleGroup | Case Count Analytics by Party Role Group.
*CaseDocketApi* | [**get_attorney_associated_parties**](docs/CaseDocketApi.md#get_attorney_associated_parties) | **GET** /attorney/{attorneyId}/associatedParties | Gets Associated Party details for a requested Attorney ID.
*CaseDocketApi* | [**get_attorney_by_id**](docs/CaseDocketApi.md#get_attorney_by_id) | **GET** /attorney/{attorneyId} | Gets details for a requested Attorney ID.
*CaseDocketApi* | [**get_case**](docs/CaseDocketApi.md#get_case) | **GET** /case/{caseId} | Gets case information for a requested Case ID.
*CaseDocketApi* | [**get_case_attorneys**](docs/CaseDocketApi.md#get_case_attorneys) | **GET** /case/{caseId}/attorneys | Gets Attorneys for a requested Case ID.
*CaseDocketApi* | [**get_case_docket_entries**](docs/CaseDocketApi.md#get_case_docket_entries) | **GET** /case/{caseId}/docketEntries | Gets Docket Entries for a requested Case ID.
*CaseDocketApi* | [**get_case_hearings**](docs/CaseDocketApi.md#get_case_hearings) | **GET** /case/{caseId}/hearings | Gets Hearings for a requested Case ID.
*CaseDocketApi* | [**get_case_judges**](docs/CaseDocketApi.md#get_case_judges) | **GET** /case/{caseId}/judges | Gets Judges for a requested Case ID.
*CaseDocketApi* | [**get_case_parties**](docs/CaseDocketApi.md#get_case_parties) | **GET** /case/{caseId}/parties | Gets Parties for a requested Case ID.
*CaseDocketApi* | [**get_case_related_cases**](docs/CaseDocketApi.md#get_case_related_cases) | **GET** /case/{caseId}/relatedCases | Gets Related Cases for a requested Case ID.
*CaseDocketApi* | [**get_judge_by_id**](docs/CaseDocketApi.md#get_judge_by_id) | **GET** /judge/{judgeId} | Gets details for a requested Judge ID.
*CaseDocketApi* | [**get_party_associated_attorneys**](docs/CaseDocketApi.md#get_party_associated_attorneys) | **GET** /party/{partyId}/associatedAttorneys | Gets Associated Attorney details for a requested Party ID.
*CaseDocketApi* | [**get_party_by_id**](docs/CaseDocketApi.md#get_party_by_id) | **GET** /party/{partyId} | Gets details for a requested Party ID.
*CaseDocketApi* | [**get_primary_documents_for_docket_entries**](docs/CaseDocketApi.md#get_primary_documents_for_docket_entries) | **GET** /case/{caseId}/docketEntries/primaryDocuments | Gets Primary Documents of Docket Entries.
*CaseDocketApi* | [**get_secondary_documents_for_docket_entries**](docs/CaseDocketApi.md#get_secondary_documents_for_docket_entries) | **GET** /case/{caseId}/docketEntries/secondaryDocuments | Gets Secondary Documents of Docket Entries.
*CaseDocumentsApi* | [**get_case_document_download_by_id**](docs/CaseDocumentsApi.md#get_case_document_download_by_id) | **GET** /caseDocumentDownload/{caseDocumentId} | Gets downloadable URL for a requested Document ID.
*CaseDocumentsApi* | [**get_case_document_order_callback_by_id**](docs/CaseDocumentsApi.md#get_case_document_order_callback_by_id) | **GET** /caseDocumentOrder/callbacks/{caseDocumentOrderCallbackId} | Get Case Document Order Callback for a requested Case Document Order Callback Id.
*CaseDocumentsApi* | [**get_case_document_order_callbacks**](docs/CaseDocumentsApi.md#get_case_document_order_callbacks) | **GET** /caseDocumentOrder/callbacks | Get Case Document Order Callback list for a requested Date.
*CaseDocumentsApi* | [**get_case_documents**](docs/CaseDocumentsApi.md#get_case_documents) | **GET** /case/{caseId}/documents | Gets Documents for a requested Case ID.
*CaseDocumentsApi* | [**get_document_by_id**](docs/CaseDocumentsApi.md#get_document_by_id) | **GET** /caseDocument/{caseDocumentId} | Gets details for a requested Document ID.
*CaseDocumentsApi* | [**order_case_document**](docs/CaseDocumentsApi.md#order_case_document) | **PUT** /caseDocumentOrder | Add Case Document Order for requested Document Ids.
*CaseExportApi* | [**export_case**](docs/CaseExportApi.md#export_case) | **GET** /caseExport/{caseId} | Gets case exported for a requested Case ID.
*CaseExportApi* | [**get_case_export_callback_by_id**](docs/CaseExportApi.md#get_case_export_callback_by_id) | **GET** /caseExport/callbacks/{caseExportCallbackId} | Get Case Export Callback for a requested Case Export Callback Id.
*CaseExportApi* | [**get_case_export_callbacks**](docs/CaseExportApi.md#get_case_export_callbacks) | **GET** /caseExport/callbacks | Get Case Export Callback list for a requested Date.
*CaseHistoryApi* | [**get_case_documents_history_for_case**](docs/CaseHistoryApi.md#get_case_documents_history_for_case) | **GET** /caseHistory/{caseId}/caseDocumentsHistory | (NOT AVAILABLE) History of CaseDocuments.
*CaseHistoryApi* | [**get_case_documents_history_for_case_bylast_fetch_date_with_updates**](docs/CaseHistoryApi.md#get_case_documents_history_for_case_bylast_fetch_date_with_updates) | **GET** /caseHistory/{caseId}/caseDocumentsHistory/{lastFetchDateWithUpdates} | (NOT AVAILABLE) History of CaseDocuments By Date.
*CaseHistoryApi* | [**get_docket_entries_history_for_case**](docs/CaseHistoryApi.md#get_docket_entries_history_for_case) | **GET** /caseHistory/{caseId}/docketEntriesHistory | (NOT AVAILABLE) History of DocketEntries.
*CaseHistoryApi* | [**get_docket_entries_history_for_case_bylast_fetch_date_with_updates**](docs/CaseHistoryApi.md#get_docket_entries_history_for_case_bylast_fetch_date_with_updates) | **GET** /caseHistory/{caseId}/docketEntriesHistory/{lastFetchDateWithUpdates} | (NOT AVAILABLE) History of DocketEntries By Date.
*CaseHistoryApi* | [**get_hearing_history_for_case**](docs/CaseHistoryApi.md#get_hearing_history_for_case) | **GET** /caseHistory/{caseId}/hearingsHistory | (NOT AVAILABLE) History of Hearings.
*CaseHistoryApi* | [**get_hearing_history_for_case_bylast_fetch_date_with_updates**](docs/CaseHistoryApi.md#get_hearing_history_for_case_bylast_fetch_date_with_updates) | **GET** /caseHistory/{caseId}/hearingsHistory/{lastFetchDateWithUpdates} | (NOT AVAILABLE) History of Hearings By Date.
*CaseHistoryApi* | [**get_judges_history_for_case**](docs/CaseHistoryApi.md#get_judges_history_for_case) | **GET** /caseHistory/{caseId}/judgesHistory | (NOT AVAILABLE) History of Judges.
*CaseHistoryApi* | [**get_judges_history_for_case_bylast_fetch_date_with_updates**](docs/CaseHistoryApi.md#get_judges_history_for_case_bylast_fetch_date_with_updates) | **GET** /caseHistory/{caseId}/judgesHistory/{lastFetchDateWithUpdates} | (NOT AVAILABLE) History of Judges By Date.
*CaseHistoryApi* | [**get_party_attorney_associations_history_for_case**](docs/CaseHistoryApi.md#get_party_attorney_associations_history_for_case) | **GET** /caseHistory/{caseId}/partyAttorneyAssociationsHistory | (NOT AVAILABLE) History of PartyAttorneyAssociations.
*CaseHistoryApi* | [**get_party_attorney_associations_history_for_case_bylast_fetch_date_with_updates**](docs/CaseHistoryApi.md#get_party_attorney_associations_history_for_case_bylast_fetch_date_with_updates) | **GET** /caseHistory/{caseId}/partyAttorneyAssociationsHistory/{lastFetchDateWithUpdates} | (NOT AVAILABLE) History of PartyAttorneyAssociations By Date.
*CaseHistoryApi* | [**get_related_case_history_for_case**](docs/CaseHistoryApi.md#get_related_case_history_for_case) | **GET** /caseHistory/{caseId}/relatedCasesHistory | (NOT AVAILABLE) History of RelatedCases.
*CaseHistoryApi* | [**get_related_case_history_for_case_bylast_fetch_date_with_updates**](docs/CaseHistoryApi.md#get_related_case_history_for_case_bylast_fetch_date_with_updates) | **GET** /caseHistory/{caseId}/relatedCasesHistory/{lastFetchDateWithUpdates} | (NOT AVAILABLE) History of RelatedCases By Date.
*CaseSearchApi* | [**search_cases**](docs/CaseSearchApi.md#search_cases) | **GET** /caseSearch | Case search.
*CaseSearchApi* | [**search_cases_by_id**](docs/CaseSearchApi.md#search_cases_by_id) | **GET** /caseSearch/{caseSearchId} | Case search results for a given caseSearchId.
*CaseTrackingApi* | [**get_case_track_by_id**](docs/CaseTrackingApi.md#get_case_track_by_id) | **GET** /caseTrack/{caseId} | Get Case Track for a requested Case Id.
*CaseTrackingApi* | [**get_case_tracks**](docs/CaseTrackingApi.md#get_case_tracks) | **GET** /caseTracks | Get Case Track list.
*CaseTrackingApi* | [**remove_case_track_by_id**](docs/CaseTrackingApi.md#remove_case_track_by_id) | **DELETE** /caseTrack/{caseId} | Remove Case Track for a specific Case Id.
*CaseTrackingApi* | [**track_case**](docs/CaseTrackingApi.md#track_case) | **PUT** /caseTrack | Add Case Track for the requested Case Id.
*CaseUpdateApi* | [**get_case_update_callback_by_id**](docs/CaseUpdateApi.md#get_case_update_callback_by_id) | **GET** /caseUpdate/callbacks/{caseUpdateCallbackId} | Get Case Update Callback for a requested Case Update Callback Id.
*CaseUpdateApi* | [**get_case_update_callbacks**](docs/CaseUpdateApi.md#get_case_update_callbacks) | **GET** /caseUpdate/callbacks | Get Case Update Callback list for a requested Date.
*CaseUpdateApi* | [**update_case**](docs/CaseUpdateApi.md#update_case) | **PUT** /caseUpdate | Add Case Update for the requested Case Id.
*CompanyDataApi* | [**get_norm_organization_by_id**](docs/CompanyDataApi.md#get_norm_organization_by_id) | **GET** /normOrganization/{normOrganizationId} | Norm Organization Details.
*CompanyDataApi* | [**search_normalized_organizations**](docs/CompanyDataApi.md#search_normalized_organizations) | **GET** /normOrganizationSearch | Organization search.
*CompanyDataApi* | [**search_normalized_organizations_by_id**](docs/CompanyDataApi.md#search_normalized_organizations_by_id) | **GET** /normOrganizationSearch/{normOrganizationSearchId} | Norm organization search result for a given normOrganizationSearchId.
*CourtAvailabilityApi* | [**get_court_coverage**](docs/CourtAvailabilityApi.md#get_court_coverage) | **GET** /courtCoverage/{courtId} | (NOT AVAILABLE) Gets Court Coverage of all courts of specific type.
*CourtStandardsApi* | [**get_appeal_courts_for_court**](docs/CourtStandardsApi.md#get_appeal_courts_for_court) | **GET** /masterData/court/{courtId}/appealCourts | Appeal Court Objects for given courtId.
*CourtStandardsApi* | [**get_area_of_law**](docs/CourtStandardsApi.md#get_area_of_law) | **GET** /masterData/areaOfLaw/{areaOfLawId} | AreaOfLaw Object for the given AreaOfLaw Id.
*CourtStandardsApi* | [**get_areas_of_law**](docs/CourtStandardsApi.md#get_areas_of_law) | **GET** /masterData/areaOfLaw | AreaOfLaw Object.
*CourtStandardsApi* | [**get_attorney_representation_type**](docs/CourtStandardsApi.md#get_attorney_representation_type) | **GET** /masterData/attorneyRepresentationType/{attorneyRepresentationTypeId} | Attorney Representation Type Object for the given attorneyRepresentationTypeId.
*CourtStandardsApi* | [**get_attorney_representation_types**](docs/CourtStandardsApi.md#get_attorney_representation_types) | **GET** /masterData/attorneyRepresentationType | Attorney Representation Type Object.
*CourtStandardsApi* | [**get_attorney_type**](docs/CourtStandardsApi.md#get_attorney_type) | **GET** /masterData/attorneyType/{attorneyTypeId} | Attorney Type Object for given Attorney Type Id.
*CourtStandardsApi* | [**get_attorney_types**](docs/CourtStandardsApi.md#get_attorney_types) | **GET** /masterData/attorneyType | Attorney Type Object.
*CourtStandardsApi* | [**get_case_class**](docs/CourtStandardsApi.md#get_case_class) | **GET** /masterData/caseClass/{caseClassId} | Case Class Object for the given Case Class Id.
*CourtStandardsApi* | [**get_case_relationship_type**](docs/CourtStandardsApi.md#get_case_relationship_type) | **GET** /masterData/caseRelationshipType/{caseRelationshipTypeId} | Case Relationship Type Object for the given caseRelationshipTypeId.
*CourtStandardsApi* | [**get_case_relationship_types**](docs/CourtStandardsApi.md#get_case_relationship_types) | **GET** /masterData/caseRelationshipType | Case Relationship Type Object.
*CourtStandardsApi* | [**get_case_status**](docs/CourtStandardsApi.md#get_case_status) | **GET** /masterData/caseStatus/{caseStatusId} | Returns the caseStatus information for the given caseStatusId.
*CourtStandardsApi* | [**get_case_status_group**](docs/CourtStandardsApi.md#get_case_status_group) | **GET** /masterData/caseStatusGroup/{caseStatusGroupId} | Returns the caseStatusGroup information for the given caseStatusGroupId.
*CourtStandardsApi* | [**get_case_status_groups**](docs/CourtStandardsApi.md#get_case_status_groups) | **GET** /masterData/caseStatusGroup | Case Status Group Object.
*CourtStandardsApi* | [**get_case_type**](docs/CourtStandardsApi.md#get_case_type) | **GET** /masterData/caseType/{caseTypeId} | CaseType Object for given Case Type Id.
*CourtStandardsApi* | [**get_case_type_group**](docs/CourtStandardsApi.md#get_case_type_group) | **GET** /masterData/caseTypeGroup/{caseTypeGroupId} | CaseType Group for the given CaseType Group Id.
*CourtStandardsApi* | [**get_case_type_groups**](docs/CourtStandardsApi.md#get_case_type_groups) | **GET** /masterData/caseTypeGroup | CaseTypeGroup Object.
*CourtStandardsApi* | [**get_case_types**](docs/CourtStandardsApi.md#get_case_types) | **GET** /masterData/caseType | Case Type Object.
*CourtStandardsApi* | [**get_cases_class**](docs/CourtStandardsApi.md#get_cases_class) | **GET** /masterData/caseClass | Case Class Object.
*CourtStandardsApi* | [**get_cases_status**](docs/CourtStandardsApi.md#get_cases_status) | **GET** /masterData/caseStatus | Case Status Object.
*CourtStandardsApi* | [**get_cause_of_action**](docs/CourtStandardsApi.md#get_cause_of_action) | **GET** /masterData/causeOfAction/{causeOfActionId} | (NOT AVAILABLE) CauseOfAction Object for the given causeOfActionId.
*CourtStandardsApi* | [**get_cause_of_action_additional_data**](docs/CourtStandardsApi.md#get_cause_of_action_additional_data) | **GET** /masterData/causeOfActionAdditionalData/{causeOfActionAdditionalDataId} | (NOT AVAILABLE) CauseOfActionStatute Object for the given causeOfActionStatuteId.
*CourtStandardsApi* | [**get_cause_of_action_group**](docs/CourtStandardsApi.md#get_cause_of_action_group) | **GET** /masterData/causeOfActionGroup/{causeOfActionGroupId} | (NOT AVAILABLE) CauseOfActionGroup Object for the given causeOfActionGroupId.
*CourtStandardsApi* | [**get_causes_of_action**](docs/CourtStandardsApi.md#get_causes_of_action) | **GET** /masterData/causeOfAction | (NOT AVAILABLE) CauseOfAction Object.
*CourtStandardsApi* | [**get_causes_of_action_additional_data**](docs/CourtStandardsApi.md#get_causes_of_action_additional_data) | **GET** /masterData/causeOfActionAdditionalData | (NOT AVAILABLE) CauseOfActionAdditionaData Object.
*CourtStandardsApi* | [**get_causes_of_action_group**](docs/CourtStandardsApi.md#get_causes_of_action_group) | **GET** /masterData/causeOfActionGroup | (NOT AVAILABLE) CauseOfActionGroup Object.
*CourtStandardsApi* | [**get_charge**](docs/CourtStandardsApi.md#get_charge) | **GET** /masterData/charge/{chargeId} | (NOT AVAILABLE) Charge Object for the given chargeId.
*CourtStandardsApi* | [**get_charge_additional_data**](docs/CourtStandardsApi.md#get_charge_additional_data) | **GET** /masterData/chargeAdditionalData/{chargeAdditionalDataId} | (NOT AVAILABLE) Charge Additional Data Object for the given chargeAdditionalDataId.
*CourtStandardsApi* | [**get_charge_degree**](docs/CourtStandardsApi.md#get_charge_degree) | **GET** /masterData/chargeDegree/{chargeDegreeId} | (NOT AVAILABLE) ChargeDegree Object for the given chargeDegreeId.
*CourtStandardsApi* | [**get_charge_group**](docs/CourtStandardsApi.md#get_charge_group) | **GET** /masterData/chargeGroup/{chargeGroupId} | (NOT AVAILABLE) Charge Group Object for the given chargeGroupId.
*CourtStandardsApi* | [**get_charge_groups**](docs/CourtStandardsApi.md#get_charge_groups) | **GET** /masterData/chargeGroup | (NOT AVAILABLE) Charge Group Object.
*CourtStandardsApi* | [**get_charge_severity**](docs/CourtStandardsApi.md#get_charge_severity) | **GET** /masterData/chargeSeverity/{chargeSeverityId} | (NOT AVAILABLE) ChargeSeverity Object for the given chargeSeverityId.
*CourtStandardsApi* | [**get_charges**](docs/CourtStandardsApi.md#get_charges) | **GET** /masterData/charge | (NOT AVAILABLE) Charge Object.
*CourtStandardsApi* | [**get_charges_additional_data**](docs/CourtStandardsApi.md#get_charges_additional_data) | **GET** /masterData/chargeAdditionalData | (NOT AVAILABLE) Charge Additional Data Object.
*CourtStandardsApi* | [**get_charges_degree**](docs/CourtStandardsApi.md#get_charges_degree) | **GET** /masterData/chargeDegree | (NOT AVAILABLE) ChargeDegree Object.
*CourtStandardsApi* | [**get_charges_severity**](docs/CourtStandardsApi.md#get_charges_severity) | **GET** /masterData/chargeSeverity | (NOT AVAILABLE) ChargeSeverity Object.
*CourtStandardsApi* | [**get_court**](docs/CourtStandardsApi.md#get_court) | **GET** /masterData/court/{courtId} | Court Object for given courtId.
*CourtStandardsApi* | [**get_court_location**](docs/CourtStandardsApi.md#get_court_location) | **GET** /masterData/courtLocation/{courtLocationId} | Courthouse Object for given Court Location Id.
*CourtStandardsApi* | [**get_court_locations**](docs/CourtStandardsApi.md#get_court_locations) | **GET** /masterData/courtLocation | Courthouse Object.
*CourtStandardsApi* | [**get_court_locations_for_court**](docs/CourtStandardsApi.md#get_court_locations_for_court) | **GET** /masterData/court/{courtId}/courtLocations | Associated Court Location for given courtId.
*CourtStandardsApi* | [**get_court_service_status**](docs/CourtStandardsApi.md#get_court_service_status) | **GET** /masterData/courtServiceStatus/{courtServiceStatusId} | (NOT AVAILABLE) Court Service Status Object for the given courtServiceStatusId.
*CourtStandardsApi* | [**get_court_system**](docs/CourtStandardsApi.md#get_court_system) | **GET** /masterData/courtSystem/{courtSystemId} | Court System Object for given courtSystemId.
*CourtStandardsApi* | [**get_court_systems**](docs/CourtStandardsApi.md#get_court_systems) | **GET** /masterData/courtSystem | Court System Objects.
*CourtStandardsApi* | [**get_court_type**](docs/CourtStandardsApi.md#get_court_type) | **GET** /masterData/courtType/{courtTypeId} | Court Type Object for given courtTypeId.
*CourtStandardsApi* | [**get_court_types**](docs/CourtStandardsApi.md#get_court_types) | **GET** /masterData/courtType | Court Type Objects.
*CourtStandardsApi* | [**get_courts**](docs/CourtStandardsApi.md#get_courts) | **GET** /masterData/court | Court Objects.
*CourtStandardsApi* | [**get_courts_for_court_location**](docs/CourtStandardsApi.md#get_courts_for_court_location) | **GET** /masterData/courtLocation/{courtLocationId}/courts | Associated Court for given Court Location.
*CourtStandardsApi* | [**get_courts_for_jurisdiction_geo**](docs/CourtStandardsApi.md#get_courts_for_jurisdiction_geo) | **GET** /masterData/jurisdictionGeo/{jurisdictionGeoId}/courts | Associated Court for given Jurisdiction Geo.
*CourtStandardsApi* | [**get_courts_service_status**](docs/CourtStandardsApi.md#get_courts_service_status) | **GET** /masterData/courtServiceStatus | (NOT AVAILABLE) Court Service Status Object.
*CourtStandardsApi* | [**get_judge_type**](docs/CourtStandardsApi.md#get_judge_type) | **GET** /masterData/judgeType/{judgeTypeId} | Judge Type Object for the given judgeTypeId.
*CourtStandardsApi* | [**get_judge_types**](docs/CourtStandardsApi.md#get_judge_types) | **GET** /masterData/judgeType | Judge Type Object.
*CourtStandardsApi* | [**get_jurisdiction_geo**](docs/CourtStandardsApi.md#get_jurisdiction_geo) | **GET** /masterData/jurisdictionGeo/{jurisdictionGeoId} | Jurisdiction Geo Object for given Jurisdiction Geo Id.
*CourtStandardsApi* | [**get_jurisdiction_geo_for_court**](docs/CourtStandardsApi.md#get_jurisdiction_geo_for_court) | **GET** /masterData/court/{courtId}/jurisdictionGeo | Jurisdiction Geo Objects for given courtId.
*CourtStandardsApi* | [**get_jurisdictions_geo**](docs/CourtStandardsApi.md#get_jurisdictions_geo) | **GET** /masterData/jurisdictionGeo | Jurisdiction Geo Object.
*CourtStandardsApi* | [**get_party_role**](docs/CourtStandardsApi.md#get_party_role) | **GET** /masterData/partyRole/{partyRoleId} | Party Role Object.
*CourtStandardsApi* | [**get_party_role_group**](docs/CourtStandardsApi.md#get_party_role_group) | **GET** /masterData/partyRoleGroup/{partyRoleGroupId} | Party Role Group Object.
*CourtStandardsApi* | [**get_party_role_groups**](docs/CourtStandardsApi.md#get_party_role_groups) | **GET** /masterData/partyRoleGroup | Party Role Group Object.
*CourtStandardsApi* | [**get_party_roles**](docs/CourtStandardsApi.md#get_party_roles) | **GET** /masterData/partyRole | Party Role Object.
*JudgeAnalyticsApi* | [**get_norm_attorneys_associated_with_norm_judge**](docs/JudgeAnalyticsApi.md#get_norm_attorneys_associated_with_norm_judge) | **GET** /normJudge/{normJudgeId}/associatedNormAttorneys | Attorneys Associated with the Judge.
*JudgeAnalyticsApi* | [**get_norm_judge_by_id**](docs/JudgeAnalyticsApi.md#get_norm_judge_by_id) | **GET** /normJudge/{normJudgeId} | Norm Judge Details.
*JudgeAnalyticsApi* | [**get_norm_law_firms_associated_with_norm_judge**](docs/JudgeAnalyticsApi.md#get_norm_law_firms_associated_with_norm_judge) | **GET** /normJudge/{normJudgeId}/associatedNormLawFirms | Law Firms Associated With the Judge.
*JudgeAnalyticsApi* | [**get_norm_parties_associated_with_norm_judge**](docs/JudgeAnalyticsApi.md#get_norm_parties_associated_with_norm_judge) | **GET** /normJudge/{normJudgeId}/associatedNormParties | Parties Associated with the Judge.
*JudgeAnalyticsApi* | [**search_normalized_judges**](docs/JudgeAnalyticsApi.md#search_normalized_judges) | **GET** /normJudgeSearch | Judge search.
*JudgeAnalyticsApi* | [**search_normalized_judges_by_id**](docs/JudgeAnalyticsApi.md#search_normalized_judges_by_id) | **GET** /normJudgeSearch/{normJudgeSearchId} | Norm judge search results for a given normJudgeSearchId.
*LawFirmAnalyticsApi* | [**get_norm_attorneys_associated_with_norm_law_firm**](docs/LawFirmAnalyticsApi.md#get_norm_attorneys_associated_with_norm_law_firm) | **GET** /normLawFirm/{normLawFirmId}/associatedNormAttorneys | Attorneys working for the Law Firm.
*LawFirmAnalyticsApi* | [**get_norm_judges_associated_with_norm_law_firm**](docs/LawFirmAnalyticsApi.md#get_norm_judges_associated_with_norm_law_firm) | **GET** /normLawFirm/{normLawFirmId}/associatedNormJudges | Judges Faced By the Law Firm.
*LawFirmAnalyticsApi* | [**get_norm_law_firm_by_id**](docs/LawFirmAnalyticsApi.md#get_norm_law_firm_by_id) | **GET** /normLawFirm/{normLawFirmId} | Norm LawFirm Details.
*LawFirmAnalyticsApi* | [**get_norm_parties_associated_with_norm_law_firm**](docs/LawFirmAnalyticsApi.md#get_norm_parties_associated_with_norm_law_firm) | **GET** /normLawFirm/{normLawFirmId}/associatedNormParties | Parties Represented by the Law Firm.
*LawFirmAnalyticsApi* | [**search_normalized_law_firms**](docs/LawFirmAnalyticsApi.md#search_normalized_law_firms) | **GET** /normLawFirmSearch | Law firm search.
*LawFirmAnalyticsApi* | [**search_normalized_law_firms_by_id**](docs/LawFirmAnalyticsApi.md#search_normalized_law_firms_by_id) | **GET** /normLawFirmSearch/{normLawFirmSearchId} | Norm law firm search result for a given normLawFirmSearchId.
*PACERApi* | [**all_courts_pacer_case_locator_case_search**](docs/PACERApi.md#all_courts_pacer_case_locator_case_search) | **GET** /pacerCaseLocator/caseSearch/allCourts | PACER Case Locator Search API for All Courts.
*PACERApi* | [**all_courts_pacer_case_locator_party_search**](docs/PACERApi.md#all_courts_pacer_case_locator_party_search) | **GET** /pacerCaseLocator/partySearch/allCourts | PACER Case Locator Search API for All Courts.
*PACERApi* | [**appeal_courts_pacer_case_locator_case_search**](docs/PACERApi.md#appeal_courts_pacer_case_locator_case_search) | **GET** /pacerCaseLocator/caseSearch/appealCourts | PACER Case Locator Search API for All Courts.
*PACERApi* | [**appeal_courts_pacer_case_locator_party_search**](docs/PACERApi.md#appeal_courts_pacer_case_locator_party_search) | **GET** /pacerCaseLocator/partySearch/appealCourts | PACER Case Locator Search API for All Courts.
*PACERApi* | [**bankruptcy_courts_pacer_case_locator_case_search**](docs/PACERApi.md#bankruptcy_courts_pacer_case_locator_case_search) | **GET** /pacerCaseLocator/caseSearch/bankruptcyCourts | PACER Case Locator Search API for Bankruptcy Courts.
*PACERApi* | [**bankruptcy_courts_pacer_case_locator_party_search**](docs/PACERApi.md#bankruptcy_courts_pacer_case_locator_party_search) | **GET** /pacerCaseLocator/partySearch/bankruptcyCourts | PACER Case Locator Search API for All Courts.
*PACERApi* | [**civil_courts_pacer_case_locator_case_search**](docs/PACERApi.md#civil_courts_pacer_case_locator_case_search) | **GET** /pacerCaseLocator/caseSearch/civilCourts | PACER Case Locator Search API for All Courts.
*PACERApi* | [**civil_courts_pacer_case_locator_party_search**](docs/PACERApi.md#civil_courts_pacer_case_locator_party_search) | **GET** /pacerCaseLocator/partySearch/civilCourts | PACER Case Locator Search API for All Courts.
*PACERApi* | [**criminal_courts_pacer_case_locator_case_search**](docs/PACERApi.md#criminal_courts_pacer_case_locator_case_search) | **GET** /pacerCaseLocator/caseSearch/criminalCourts | PACER Case Locator Search API for All Courts.
*PACERApi* | [**criminal_courts_pacer_case_locator_party_search**](docs/PACERApi.md#criminal_courts_pacer_case_locator_party_search) | **GET** /pacerCaseLocator/partySearch/criminalCourts | PACER Case Locator Search API for All Courts.
*PACERApi* | [**import_pacer_case_by_court_using_case_number**](docs/PACERApi.md#import_pacer_case_by_court_using_case_number) | **GET** /pacer/importCaseByCourtUsingCaseNumber | Find PACER Case for a requested Case Number and Court.
*PACERApi* | [**multi_district_courts_pacer_case_locator_case_search**](docs/PACERApi.md#multi_district_courts_pacer_case_locator_case_search) | **GET** /pacerCaseLocator/caseSearch/multiDistrictCourts | PACER Case Locator Search API for All Courts.
*PACERApi* | [**multi_district_courts_pacer_case_locator_party_search**](docs/PACERApi.md#multi_district_courts_pacer_case_locator_party_search) | **GET** /pacerCaseLocator/partySearch/multiDistrictCourts | PACER Case Locator Search API for All Courts.
*PACERCredentialApi* | [**add_pacer_credential**](docs/PACERCredentialApi.md#add_pacer_credential) | **PUT** /pacerCredential | Add Pacer Credential.
*PACERCredentialApi* | [**get_pacer_credential**](docs/PACERCredentialApi.md#get_pacer_credential) | **GET** /pacerCredential | Get Pacer Credential List.
*PACERCredentialApi* | [**get_pacer_credential_by_id**](docs/PACERCredentialApi.md#get_pacer_credential_by_id) | **GET** /pacerCredential/{pacerUserId} | Get Pacer Credential for a requested pacer User Id.
*PACERCredentialApi* | [**remove_pacer_credential_by_id**](docs/PACERCredentialApi.md#remove_pacer_credential_by_id) | **DELETE** /pacerCredential/{pacerUserId} | Remove Pacer credential for a specific Pacer User Id.
*PartyAnalyticsApi* | [**get_norm_attorneys_associated_with_norm_party**](docs/PartyAnalyticsApi.md#get_norm_attorneys_associated_with_norm_party) | **GET** /normParty/{normPartyId}/associatedNormAttorneys | Attorneys that represented the Party.
*PartyAnalyticsApi* | [**get_norm_judges_associated_with_norm_party**](docs/PartyAnalyticsApi.md#get_norm_judges_associated_with_norm_party) | **GET** /normParty/{normPartyId}/associatedNormJudges | Judges Faced By the Party.
*PartyAnalyticsApi* | [**get_norm_law_firms_associated_with_norm_party**](docs/PartyAnalyticsApi.md#get_norm_law_firms_associated_with_norm_party) | **GET** /normParty/{normPartyId}/associatedNormLawFirms | Law Firms that represented the Party.
*PartyAnalyticsApi* | [**get_norm_party_by_id**](docs/PartyAnalyticsApi.md#get_norm_party_by_id) | **GET** /normParty/{normPartyId} | Norm Party Details.
*PartyAnalyticsApi* | [**search_normalized_parties**](docs/PartyAnalyticsApi.md#search_normalized_parties) | **GET** /normPartySearch | Party search.
*PartyAnalyticsApi* | [**search_normalized_parties_by_id**](docs/PartyAnalyticsApi.md#search_normalized_parties_by_id) | **GET** /normPartySearch/{normPartySearchId} | Norm party search results for a given normPartySearchId.
*UsageApi* | [**get_api_usage_by_date**](docs/UsageApi.md#get_api_usage_by_date) | **GET** /usage/{yyyy-mm-dd} | Get API usage for a requested Date.


## Documentation For Models

 - [APIUsageResponse](docs/APIUsageResponse.md)
 - [APIUsageResponseBillingCycle](docs/APIUsageResponseBillingCycle.md)
 - [AccessTokenIdListResponse](docs/AccessTokenIdListResponse.md)
 - [AccessTokenIdResponse](docs/AccessTokenIdResponse.md)
 - [AccessTokenRequest](docs/AccessTokenRequest.md)
 - [AccessTokenResponse](docs/AccessTokenResponse.md)
 - [AddedCaseDocumentsHistory](docs/AddedCaseDocumentsHistory.md)
 - [AddedDocketEntriesHistory](docs/AddedDocketEntriesHistory.md)
 - [AddedHearingsHistory](docs/AddedHearingsHistory.md)
 - [AddedJudgesHistory](docs/AddedJudgesHistory.md)
 - [AddedPartyAttorneyAssociationsHistory](docs/AddedPartyAttorneyAssociationsHistory.md)
 - [AddedRelatedCasesHistory](docs/AddedRelatedCasesHistory.md)
 - [AdditionalLevels](docs/AdditionalLevels.md)
 - [Address](docs/Address.md)
 - [AreaOfLaw](docs/AreaOfLaw.md)
 - [AreaOfLawResponse](docs/AreaOfLawResponse.md)
 - [AssociatedNormAttorney](docs/AssociatedNormAttorney.md)
 - [AssociatedNormAttorneyResponse](docs/AssociatedNormAttorneyResponse.md)
 - [AssociatedNormJudge](docs/AssociatedNormJudge.md)
 - [AssociatedNormJudgeResponse](docs/AssociatedNormJudgeResponse.md)
 - [AssociatedNormLawFirm](docs/AssociatedNormLawFirm.md)
 - [AssociatedNormLawFirmResponse](docs/AssociatedNormLawFirmResponse.md)
 - [AssociatedNormParty](docs/AssociatedNormParty.md)
 - [AssociatedNormPartyResponse](docs/AssociatedNormPartyResponse.md)
 - [AssociatedSoSPerson](docs/AssociatedSoSPerson.md)
 - [Attorney](docs/Attorney.md)
 - [AttorneyAnalyticsAPI](docs/AttorneyAnalyticsAPI.md)
 - [AttorneyAttorneyAnalyticsAPI](docs/AttorneyAttorneyAnalyticsAPI.md)
 - [AttorneyCaseAnalyticsAPI](docs/AttorneyCaseAnalyticsAPI.md)
 - [AttorneyLawFirm](docs/AttorneyLawFirm.md)
 - [AttorneyLawFirmLawFirmAnalyticsAPI](docs/AttorneyLawFirmLawFirmAnalyticsAPI.md)
 - [AttorneyRepresentationType](docs/AttorneyRepresentationType.md)
 - [AttorneyRepresentationTypeResponse](docs/AttorneyRepresentationTypeResponse.md)
 - [AttorneyType](docs/AttorneyType.md)
 - [AttorneyTypeResponse](docs/AttorneyTypeResponse.md)
 - [Attorneys](docs/Attorneys.md)
 - [BarRecord](docs/BarRecord.md)
 - [BarRecordPreview](docs/BarRecordPreview.md)
 - [BarSourceData](docs/BarSourceData.md)
 - [BarSourceDataAdministrativeActionsArrayInner](docs/BarSourceDataAdministrativeActionsArrayInner.md)
 - [BarSourceDataAdvancedDegreeArrayInner](docs/BarSourceDataAdvancedDegreeArrayInner.md)
 - [BarSourceDataBarStatusArrayInner](docs/BarSourceDataBarStatusArrayInner.md)
 - [BarSourceDataBoardCertificationsArrayInner](docs/BarSourceDataBoardCertificationsArrayInner.md)
 - [BarSourceDataCommitteesArrayInner](docs/BarSourceDataCommitteesArrayInner.md)
 - [BarSourceDataCourtHistoryArrayInner](docs/BarSourceDataCourtHistoryArrayInner.md)
 - [BarSourceDataCourtOfAdmissions](docs/BarSourceDataCourtOfAdmissions.md)
 - [BarSourceDataDisciplinaryHistoryArrayInner](docs/BarSourceDataDisciplinaryHistoryArrayInner.md)
 - [BarSourceDataDisciplineSummariesArrayInner](docs/BarSourceDataDisciplineSummariesArrayInner.md)
 - [BarSourceDataEmploymentHistoryArrayInner](docs/BarSourceDataEmploymentHistoryArrayInner.md)
 - [BarSourceDataFeesOptionsArrayInner](docs/BarSourceDataFeesOptionsArrayInner.md)
 - [BarSourceDataInvolvementsArrayInner](docs/BarSourceDataInvolvementsArrayInner.md)
 - [BarSourceDataLawSchoolArrayInner](docs/BarSourceDataLawSchoolArrayInner.md)
 - [BarSourceDataName](docs/BarSourceDataName.md)
 - [BarSourceDataOpenActionStatusArrayInner](docs/BarSourceDataOpenActionStatusArrayInner.md)
 - [BarSourceDataOtherJurisdictionArrayInner](docs/BarSourceDataOtherJurisdictionArrayInner.md)
 - [BarSourceDataPublicHearingArrayInner](docs/BarSourceDataPublicHearingArrayInner.md)
 - [BarSourceDataReasonForInactivation](docs/BarSourceDataReasonForInactivation.md)
 - [BarSourceDataRelatedCasesArrayInner](docs/BarSourceDataRelatedCasesArrayInner.md)
 - [BarSourceDataSourceInfo](docs/BarSourceDataSourceInfo.md)
 - [BarSourceDataStatewideGrievanceCommitteeHistoryArrayInner](docs/BarSourceDataStatewideGrievanceCommitteeHistoryArrayInner.md)
 - [BarSourceDataStatusHistoryArrayInner](docs/BarSourceDataStatusHistoryArrayInner.md)
 - [BarSourceDataTenYearDisciplineArrayInner](docs/BarSourceDataTenYearDisciplineArrayInner.md)
 - [CallbackListResponse](docs/CallbackListResponse.md)
 - [CallbackListResponseCaseDocumentOrderCallbacks](docs/CallbackListResponseCaseDocumentOrderCallbacks.md)
 - [CallbackListResponseCaseExportCallbacks](docs/CallbackListResponseCaseExportCallbacks.md)
 - [CallbackListResponseCaseUpdateCallbacks](docs/CallbackListResponseCaseUpdateCallbacks.md)
 - [Case](docs/Case.md)
 - [CaseCauseOfAction](docs/CaseCauseOfAction.md)
 - [CaseCharge](docs/CaseCharge.md)
 - [CaseClass](docs/CaseClass.md)
 - [CaseClassCoverage](docs/CaseClassCoverage.md)
 - [CaseClassResponse](docs/CaseClassResponse.md)
 - [CaseCountAnalyticsByAreaOfLaw](docs/CaseCountAnalyticsByAreaOfLaw.md)
 - [CaseCountAnalyticsByAreaOfLawResponse](docs/CaseCountAnalyticsByAreaOfLawResponse.md)
 - [CaseCountAnalyticsByCaseClass](docs/CaseCountAnalyticsByCaseClass.md)
 - [CaseCountAnalyticsByCaseClassResponse](docs/CaseCountAnalyticsByCaseClassResponse.md)
 - [CaseCountAnalyticsByCaseFiledDate](docs/CaseCountAnalyticsByCaseFiledDate.md)
 - [CaseCountAnalyticsByCaseFiledDateResponse](docs/CaseCountAnalyticsByCaseFiledDateResponse.md)
 - [CaseCountAnalyticsByCaseType](docs/CaseCountAnalyticsByCaseType.md)
 - [CaseCountAnalyticsByCaseTypeGroup](docs/CaseCountAnalyticsByCaseTypeGroup.md)
 - [CaseCountAnalyticsByCaseTypeGroupResponse](docs/CaseCountAnalyticsByCaseTypeGroupResponse.md)
 - [CaseCountAnalyticsByCaseTypeResponse](docs/CaseCountAnalyticsByCaseTypeResponse.md)
 - [CaseCountAnalyticsByCourt](docs/CaseCountAnalyticsByCourt.md)
 - [CaseCountAnalyticsByCourtGeo](docs/CaseCountAnalyticsByCourtGeo.md)
 - [CaseCountAnalyticsByCourtLocation](docs/CaseCountAnalyticsByCourtLocation.md)
 - [CaseCountAnalyticsByCourtLocationResponse](docs/CaseCountAnalyticsByCourtLocationResponse.md)
 - [CaseCountAnalyticsByCourtResponse](docs/CaseCountAnalyticsByCourtResponse.md)
 - [CaseCountAnalyticsByCourtSystem](docs/CaseCountAnalyticsByCourtSystem.md)
 - [CaseCountAnalyticsByCourtSystemResponse](docs/CaseCountAnalyticsByCourtSystemResponse.md)
 - [CaseCountAnalyticsByCourtType](docs/CaseCountAnalyticsByCourtType.md)
 - [CaseCountAnalyticsByCourtTypeResponse](docs/CaseCountAnalyticsByCourtTypeResponse.md)
 - [CaseCountAnalyticsByJurisdictionGeo](docs/CaseCountAnalyticsByJurisdictionGeo.md)
 - [CaseCountAnalyticsByJurisdictionGeoResponse](docs/CaseCountAnalyticsByJurisdictionGeoResponse.md)
 - [CaseCountAnalyticsByNormAttorney](docs/CaseCountAnalyticsByNormAttorney.md)
 - [CaseCountAnalyticsByNormAttorneyResponse](docs/CaseCountAnalyticsByNormAttorneyResponse.md)
 - [CaseCountAnalyticsByNormJudge](docs/CaseCountAnalyticsByNormJudge.md)
 - [CaseCountAnalyticsByNormJudgeResponse](docs/CaseCountAnalyticsByNormJudgeResponse.md)
 - [CaseCountAnalyticsByNormLawFirm](docs/CaseCountAnalyticsByNormLawFirm.md)
 - [CaseCountAnalyticsByNormLawFirmResponse](docs/CaseCountAnalyticsByNormLawFirmResponse.md)
 - [CaseCountAnalyticsByNormParty](docs/CaseCountAnalyticsByNormParty.md)
 - [CaseCountAnalyticsByNormPartyResponse](docs/CaseCountAnalyticsByNormPartyResponse.md)
 - [CaseCountAnalyticsByPartyRole](docs/CaseCountAnalyticsByPartyRole.md)
 - [CaseCountAnalyticsByPartyRoleGroup](docs/CaseCountAnalyticsByPartyRoleGroup.md)
 - [CaseCountAnalyticsByPartyRoleGroupResponse](docs/CaseCountAnalyticsByPartyRoleGroupResponse.md)
 - [CaseCountAnalyticsByPartyRoleResponse](docs/CaseCountAnalyticsByPartyRoleResponse.md)
 - [CaseDocument](docs/CaseDocument.md)
 - [CaseDocumentOrderCallback](docs/CaseDocumentOrderCallback.md)
 - [CaseDocumentOrderCallbackListResponse](docs/CaseDocumentOrderCallbackListResponse.md)
 - [CaseDocumentOrderPacerOptions](docs/CaseDocumentOrderPacerOptions.md)
 - [CaseDocumentOrderRequest](docs/CaseDocumentOrderRequest.md)
 - [CaseDocumentPreview](docs/CaseDocumentPreview.md)
 - [CaseDocuments](docs/CaseDocuments.md)
 - [CaseDocumentsHistories](docs/CaseDocumentsHistories.md)
 - [CaseDocumentsHistory](docs/CaseDocumentsHistory.md)
 - [CaseDocumentsHistoryByDate](docs/CaseDocumentsHistoryByDate.md)
 - [CaseExportCallback](docs/CaseExportCallback.md)
 - [CaseExportCallbackListResponse](docs/CaseExportCallbackListResponse.md)
 - [CaseRelationshipType](docs/CaseRelationshipType.md)
 - [CaseRelationshipTypeResponse](docs/CaseRelationshipTypeResponse.md)
 - [CaseSearchResponse](docs/CaseSearchResponse.md)
 - [CaseSearchResult](docs/CaseSearchResult.md)
 - [CaseStats](docs/CaseStats.md)
 - [CaseStatus](docs/CaseStatus.md)
 - [CaseStatusGroup](docs/CaseStatusGroup.md)
 - [CaseStatusGroupResponse](docs/CaseStatusGroupResponse.md)
 - [CaseStatusResponse](docs/CaseStatusResponse.md)
 - [CaseTimeline](docs/CaseTimeline.md)
 - [CaseTrack](docs/CaseTrack.md)
 - [CaseTrackListResponse](docs/CaseTrackListResponse.md)
 - [CaseTrackPreview](docs/CaseTrackPreview.md)
 - [CaseTrackRequest](docs/CaseTrackRequest.md)
 - [CaseTrackSchedule](docs/CaseTrackSchedule.md)
 - [CaseType](docs/CaseType.md)
 - [CaseTypeGroup](docs/CaseTypeGroup.md)
 - [CaseTypeGroupResponse](docs/CaseTypeGroupResponse.md)
 - [CaseTypeResponse](docs/CaseTypeResponse.md)
 - [CaseUpdateCallback](docs/CaseUpdateCallback.md)
 - [CaseUpdateCallbackListResponse](docs/CaseUpdateCallbackListResponse.md)
 - [CaseUpdateCallbackPreview](docs/CaseUpdateCallbackPreview.md)
 - [CaseUpdatePacerOptions](docs/CaseUpdatePacerOptions.md)
 - [CaseUpdatePacerOptionsAdditionalPageArrayInner](docs/CaseUpdatePacerOptionsAdditionalPageArrayInner.md)
 - [CaseUpdatePacerOptionsResponse](docs/CaseUpdatePacerOptionsResponse.md)
 - [CaseUpdateRequest](docs/CaseUpdateRequest.md)
 - [CauseOfAction](docs/CauseOfAction.md)
 - [CauseOfActionAdditionalData](docs/CauseOfActionAdditionalData.md)
 - [CauseOfActionAdditionalDataResponse](docs/CauseOfActionAdditionalDataResponse.md)
 - [CauseOfActionGroup](docs/CauseOfActionGroup.md)
 - [CauseOfActionGroupResponse](docs/CauseOfActionGroupResponse.md)
 - [CauseOfActionResponse](docs/CauseOfActionResponse.md)
 - [ChangedHistory](docs/ChangedHistory.md)
 - [Charge](docs/Charge.md)
 - [ChargeAdditionalData](docs/ChargeAdditionalData.md)
 - [ChargeAdditionalDataResponse](docs/ChargeAdditionalDataResponse.md)
 - [ChargeDegree](docs/ChargeDegree.md)
 - [ChargeDegreeResponse](docs/ChargeDegreeResponse.md)
 - [ChargeGroup](docs/ChargeGroup.md)
 - [ChargeGroupResponse](docs/ChargeGroupResponse.md)
 - [ChargeResponse](docs/ChargeResponse.md)
 - [ChargeSeverity](docs/ChargeSeverity.md)
 - [ChargeSeverityResponse](docs/ChargeSeverityResponse.md)
 - [Contact](docs/Contact.md)
 - [Court](docs/Court.md)
 - [CourtCoverage](docs/CourtCoverage.md)
 - [CourtLocation](docs/CourtLocation.md)
 - [CourtLocationResponse](docs/CourtLocationResponse.md)
 - [CourtResponse](docs/CourtResponse.md)
 - [CourtServiceStatus](docs/CourtServiceStatus.md)
 - [CourtServiceStatusResponse](docs/CourtServiceStatusResponse.md)
 - [CourtSystem](docs/CourtSystem.md)
 - [CourtSystemResponse](docs/CourtSystemResponse.md)
 - [CourtType](docs/CourtType.md)
 - [CourtTypeResponse](docs/CourtTypeResponse.md)
 - [DocketEntries](docs/DocketEntries.md)
 - [DocketEntriesHistories](docs/DocketEntriesHistories.md)
 - [DocketEntriesHistory](docs/DocketEntriesHistory.md)
 - [DocketEntriesHistoryByDate](docs/DocketEntriesHistoryByDate.md)
 - [DocketEntry](docs/DocketEntry.md)
 - [DocketEntryPreview](docs/DocketEntryPreview.md)
 - [DocketEntryPrimaryDocuments](docs/DocketEntryPrimaryDocuments.md)
 - [DocketEntrySecondaryDocuments](docs/DocketEntrySecondaryDocuments.md)
 - [DocumentDownload](docs/DocumentDownload.md)
 - [Email](docs/Email.md)
 - [Exception](docs/Exception.md)
 - [ExportFile](docs/ExportFile.md)
 - [ExtractedFields](docs/ExtractedFields.md)
 - [GetCaseDocumentDownloadById200Response](docs/GetCaseDocumentDownloadById200Response.md)
 - [Hearing](docs/Hearing.md)
 - [HearingPreview](docs/HearingPreview.md)
 - [Hearings](docs/Hearings.md)
 - [HearingsHistories](docs/HearingsHistories.md)
 - [HearingsHistory](docs/HearingsHistory.md)
 - [HearingsHistoryByDate](docs/HearingsHistoryByDate.md)
 - [History](docs/History.md)
 - [HistoryNew](docs/HistoryNew.md)
 - [HistoryOld](docs/HistoryOld.md)
 - [HistoryValueOfArrayOfObjects](docs/HistoryValueOfArrayOfObjects.md)
 - [HistoryValueOfArrayOfStrings](docs/HistoryValueOfArrayOfStrings.md)
 - [HistoryValueOfStrings](docs/HistoryValueOfStrings.md)
 - [Individual](docs/Individual.md)
 - [InvalidateAccessTokenRequest](docs/InvalidateAccessTokenRequest.md)
 - [Judge](docs/Judge.md)
 - [JudgeAnalyticsAPI](docs/JudgeAnalyticsAPI.md)
 - [JudgeCaseAnalyticsAPI](docs/JudgeCaseAnalyticsAPI.md)
 - [JudgeJudgeAnalyticsAPI](docs/JudgeJudgeAnalyticsAPI.md)
 - [JudgePreview](docs/JudgePreview.md)
 - [JudgeType](docs/JudgeType.md)
 - [JudgeTypeResponse](docs/JudgeTypeResponse.md)
 - [Judges](docs/Judges.md)
 - [JudgesHistories](docs/JudgesHistories.md)
 - [JudgesHistory](docs/JudgesHistory.md)
 - [JudgesHistoryByDate](docs/JudgesHistoryByDate.md)
 - [JurisdictionGeo](docs/JurisdictionGeo.md)
 - [JurisdictionGeoResponse](docs/JurisdictionGeoResponse.md)
 - [LastTrackedDetails](docs/LastTrackedDetails.md)
 - [LawFirmAnalyticsAPI](docs/LawFirmAnalyticsAPI.md)
 - [LawFirmCaseAnalyticsAPI](docs/LawFirmCaseAnalyticsAPI.md)
 - [MatchedObject](docs/MatchedObject.md)
 - [NatureOfSuit](docs/NatureOfSuit.md)
 - [NormAttorney](docs/NormAttorney.md)
 - [NormAttorneySearchResponse](docs/NormAttorneySearchResponse.md)
 - [NormAttorneySearchResult](docs/NormAttorneySearchResult.md)
 - [NormJudge](docs/NormJudge.md)
 - [NormJudgePublicData](docs/NormJudgePublicData.md)
 - [NormJudgePublicDataAbaRatings](docs/NormJudgePublicDataAbaRatings.md)
 - [NormJudgePublicDataBio](docs/NormJudgePublicDataBio.md)
 - [NormJudgePublicDataEducationArrayInner](docs/NormJudgePublicDataEducationArrayInner.md)
 - [NormJudgePublicDataJudicialSource](docs/NormJudgePublicDataJudicialSource.md)
 - [NormJudgePublicDataNameHistoryArrayInner](docs/NormJudgePublicDataNameHistoryArrayInner.md)
 - [NormJudgeSearchResponse](docs/NormJudgeSearchResponse.md)
 - [NormJudgeSearchResult](docs/NormJudgeSearchResult.md)
 - [NormLawFirm](docs/NormLawFirm.md)
 - [NormLawFirmSearchResponse](docs/NormLawFirmSearchResponse.md)
 - [NormLawFirmSearchResult](docs/NormLawFirmSearchResult.md)
 - [NormOrganization](docs/NormOrganization.md)
 - [NormOrganizationSearchResponse](docs/NormOrganizationSearchResponse.md)
 - [NormOrganizationSearchResult](docs/NormOrganizationSearchResult.md)
 - [NormOrganizationTickerArrayInner](docs/NormOrganizationTickerArrayInner.md)
 - [NormParty](docs/NormParty.md)
 - [NormPartySearchResponse](docs/NormPartySearchResponse.md)
 - [NormPartySearchResult](docs/NormPartySearchResult.md)
 - [PACERCaseSearchContent](docs/PACERCaseSearchContent.md)
 - [PACERCaseSearchResults](docs/PACERCaseSearchResults.md)
 - [PACERImportCase](docs/PACERImportCase.md)
 - [PACERImportCaseResults](docs/PACERImportCaseResults.md)
 - [PACERPartySearchContent](docs/PACERPartySearchContent.md)
 - [PACERPartySearchResults](docs/PACERPartySearchResults.md)
 - [PACERSearchPageInfo](docs/PACERSearchPageInfo.md)
 - [PACERSearchReceipt](docs/PACERSearchReceipt.md)
 - [PCLCase](docs/PCLCase.md)
 - [PCLParty](docs/PCLParty.md)
 - [PacerCredential](docs/PacerCredential.md)
 - [PacerCredentialListResponse](docs/PacerCredentialListResponse.md)
 - [PacerCredentialRequest](docs/PacerCredentialRequest.md)
 - [Parties](docs/Parties.md)
 - [Party](docs/Party.md)
 - [PartyAnalyticsAPI](docs/PartyAnalyticsAPI.md)
 - [PartyAttorneyAssociation](docs/PartyAttorneyAssociation.md)
 - [PartyAttorneyAssociationPreview](docs/PartyAttorneyAssociationPreview.md)
 - [PartyAttorneyAssociations](docs/PartyAttorneyAssociations.md)
 - [PartyAttorneyAssociationsHistories](docs/PartyAttorneyAssociationsHistories.md)
 - [PartyAttorneyAssociationsHistory](docs/PartyAttorneyAssociationsHistory.md)
 - [PartyAttorneyAssociationsHistoryByDate](docs/PartyAttorneyAssociationsHistoryByDate.md)
 - [PartyCaseAnalyticsAPI](docs/PartyCaseAnalyticsAPI.md)
 - [PartyPartyAnalyticsAPI](docs/PartyPartyAnalyticsAPI.md)
 - [PartyRole](docs/PartyRole.md)
 - [PartyRoleGroup](docs/PartyRoleGroup.md)
 - [PartyRoleGroupResponse](docs/PartyRoleGroupResponse.md)
 - [PartyRoleResponse](docs/PartyRoleResponse.md)
 - [Phone](docs/Phone.md)
 - [PreviewDocument](docs/PreviewDocument.md)
 - [RawOrderedData](docs/RawOrderedData.md)
 - [RawOrderedDataChild](docs/RawOrderedDataChild.md)
 - [RawOrderedDataChildChildArrayInner](docs/RawOrderedDataChildChildArrayInner.md)
 - [ReferencedDocketNumber](docs/ReferencedDocketNumber.md)
 - [RelatedCase](docs/RelatedCase.md)
 - [RelatedCasePreview](docs/RelatedCasePreview.md)
 - [RelatedCases](docs/RelatedCases.md)
 - [RelatedCasesHistories](docs/RelatedCasesHistories.md)
 - [RelatedCasesHistory](docs/RelatedCasesHistory.md)
 - [RelatedCasesHistoryByDate](docs/RelatedCasesHistoryByDate.md)
 - [SOSAssociatedNormOrganization](docs/SOSAssociatedNormOrganization.md)
 - [SOSData](docs/SOSData.md)
 - [SOSDataPreview](docs/SOSDataPreview.md)
 - [SOSNameChange](docs/SOSNameChange.md)
 - [Schedule](docs/Schedule.md)
 - [ServiceHistory](docs/ServiceHistory.md)
 - [ServiceStatus](docs/ServiceStatus.md)
 - [ServiceStatusDownDetails](docs/ServiceStatusDownDetails.md)
 - [SimilarNormAttorney](docs/SimilarNormAttorney.md)
 - [SourceCaseData](docs/SourceCaseData.md)
 - [SourceCauseOfAction](docs/SourceCauseOfAction.md)
 - [SourceCharge](docs/SourceCharge.md)
 - [SourceChargeAdditionalData](docs/SourceChargeAdditionalData.md)
 - [SourcePageData](docs/SourcePageData.md)
 - [SourceStructuredData](docs/SourceStructuredData.md)
 - [Success](docs/Success.md)


## Documentation For Authorization


## bearerAuth

- **Type**: Bearer authentication (JWT)


## Author




## Notes for Large OpenAPI documents
If the OpenAPI document is large, imports in apollo.apis and apollo.models may fail with a
RecursionError indicating the maximum recursion limit has been exceeded. In that case, there are a couple of solutions:

Solution 1:
Use specific imports for apis and models like:
- `from apollo.api.default_api import DefaultApi`
- `from apollo.model.pet import Pet`

Solution 2:
Before importing the package, adjust the maximum recursion limit as shown below:
```
import sys
sys.setrecursionlimit(1500)
import apollo
from apollo.apis import *
from apollo.models import *
```

